SplSubject
SplSubject::detach
SplSubject
PHP Manual

# SplSubject::attach

Attach an SplObserver

### Description

abstract public void SplSubject::attach ( SplObserver `$observer` )

Attaches an SplObserver so that it can be notified of updates.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`observer`

  The SplObserver to attach.

### Return Values

No value is returned.